Output Functions

A number of operations exist for specifying how numbers of type Float are to be displayed. By default, spaces are inserted every ten digits in the output for readability. (Not that you cannot include spaces in the input form of a floating point number, though you can use underscores.) Output spacing can be modified with the outputSpacing operation. This inserts no spaces and then displays the value of x.

Issue this to have the spaces inserted every 5 digits.

By default, the system displays floats in either fixed format or scientific format, depending on the magnitude of the number.

A particular format may be requested with the operations outputFloating and outputFixed.

Additionally, you can ask for n digits to be displayed after the decimal point.

The outputGeneral function resets the output printing to the default behavior.